#86 All tests seem to fail with "Unable to find specified test"

Version 5.6
closed-fixed
5
2009-11-23
2009-11-13
No

> All tests seem to fail. Simple example attached with log file of
> interpreter run.
>
> C:\Program Files\OVAL\ovaldi-5.6.3>ovaldi -m -s -n -l 1 -o z:\home\ncw\DigitalBond\OVALConversionPackage\auditfiles\simple.xml
>
> ----------------------------------------------------
> OVAL Definition Interpreter
> Version: 5.6 Build: 3
> Build date: Sep 28 2009 16:35:48
> Copyright (c) 2002-2009 - The MITRE Corporation
> ----------------------------------------------------
>
> Start Time: Thu Nov 12 07:20:31 2009
>
> ** parsing z:\home\ncw\DigitalBond\OVALConversionPackage\auditfiles\simple.xml file.
> - validating xml schema.
> ** checking schema version
> - Schema version - 5.6
> ** running Schematron validation on z:\home\ncw\DigitalBond\OVALConversionPackage\auditfiles\simple.xml
> - Schematron validation succeeded
> ** creating a new OVAL System Charateristics file.
> ** gathering data for the OVAL definitions.
> ** saving data model to system-characteristics.xml.
> ** running the OVAL Definition analysis.
> Analyzing definition: oval:com.example:def:1Unable to find specified test in oval-definition document. Test id: oval:com.exa
> mple:tst:1
>
> ----------------------------------------------------
>
> C:\Program Files\OVAL\ovaldi-5.6.3>
>
> <?xml version="1.0" encoding="UTF-8"?>
> <oval-def:oval_definitions xmlns:fn="local-xslt-function" xmlns:xs="http://www.w3.org/2001/XMLSchema"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xhtml="http://www.w3.org/1999/xhtml"
> xmlns:oval="http://oval.mitre.org/XMLSchema/oval-common-5" xmlns:oval-def="http://oval.mitre.org/XMLSchema/oval-definitions-5"
> xmlns:win-def="http://oval.mitre.org/XMLSchema/oval-definitions-5#windows"
> xmlns:ind-def="http://oval.mitre.org/XMLSchema/oval-definitions-5#independent"
> xsi:schemaLocation="http://oval.mitre.org/XMLSchema/oval-definitions-5#windows http://oval.mitre.org/language/download/schema/version5.6/ovaldefinition/complete/windows-definitions-schema.xsd http://oval.mitre.org/XMLSchema/oval-definitions-5#independent http://oval.mitre.org/language/download/schema/version5.6/ovaldefinition/complete/independent-definitions-schema.xsd http://oval.mitre.org/XMLSchema/oval-definitions-5 http://oval.mitre.org/language/download/schema/version5.6/ovaldefinition/complete/oval-definitions-schema.xsd http://oval.mitre.org/XMLSchema/oval-common-5 http://oval.mitre.org/language/download/schema/version5.6/ovaldefinition/complete/oval-common-schema.xsd">
> <oval-def:generator>
> <oval:schema_version>5.6</oval:schema_version>
> <oval:timestamp>2009-11-11T15:50:20.076-05:00</oval:timestamp>
> </oval-def:generator>
> <oval-def:definitions>
> <oval-def:definition id="oval:com.example:def:1" version="1" class="compliance">
> <oval-def:metadata>
> <oval-def:title>t</oval-def:title>
> <oval-def:description>d</oval-def:description>
> </oval-def:metadata>
> <oval-def:criteria operator="AND">
> <oval-def:criterion test_ref="oval:com.example:tst:1"/>
> </oval-def:criteria>
> </oval-def:definition>
> </oval-def:definitions>
> <oval-def:tests>
> <ind-def:unknown_test id="oval:com.example:tst:1" version="1" check="all" comment="c"/>
> </oval-def:tests>
> </oval-def:oval_definitions>
>
> ----------------------------------------------------
> OVAL Definition Interpreter
> Version: 5.6 Build: 3
> Build date: Sep 28 2009 16:35:48
> Copyright (c) 2002-2009 - The MITRE Corporation
> ----------------------------------------------------
>
> Start Time: Thu Nov 12 07:20:31 2009
>
>
> ** parsing z:\home\ncw\DigitalBond\OVALConversionPackage\auditfiles\simple.xml file.
> - validating xml schema.
>
> ** checking schema version
> - Schema version - 5.6
>
> ** running Schematron validation on z:\home\ncw\DigitalBond\OVALConversionPackage\auditfiles\simple.xml
>
> - Schematron validation succeeded
>
> ** creating a new OVAL System Charateristics file.
>
> ** gathering data for the OVAL definitions.
>
> ** saving data model to system-characteristics.xml.
>
> ** running the OVAL Definition analysis.
>
> 2009-11-12T07:20:48 : DEBUG : Analyzing definition: oval:com.example:def:1
> 2009-11-12T07:20:48 : FATAL : Unable to find specified test in oval-definition document. Test id: oval:com.example:tst:1
>
> ----------------------------------------------------
>

Discussion

  • Nancy Whitney

    Nancy Whitney - 2009-11-13

    Sample definitions.xml

     
  • Nancy Whitney

    Nancy Whitney - 2009-11-13

    simple.xml

     
  • Nancy Whitney

    Nancy Whitney - 2009-11-13

    I tried this on Windows XP and compiled and tested on SUSE Linux with the same result.

     
  • Jonathan Baker

    Jonathan Baker - 2009-11-17
    • assigned_to: nobody --> djhaynes
     
  • Danny Haynes

    Danny Haynes - 2009-11-23
    • status: open --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks